image: luxtorpeda/steam-runtime-amd64-beta:lux-190802-1

variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - package
  - publish

Build:
  stage: build
  script: ./build.sh
  artifacts:
    paths:
    - 9050/
    - 9070/
    expire_in: 1 day

Package:
  stage: package
  script: ./package.sh
  artifacts:
    paths:
    - 9050/dist.tar.xz
    - 9070/dist.tar.xz
    expire_in: 1 week

pages:
  stage: publish
  script:
  - mkdir public
  - sed "s|%DATE%|$(date)|" index.html > public/index.html
  - mv 9050/dist.tar.xz public/dhewm3-9050.tar.xz
  - mv 9070/dist.tar.xz public/dhewm3-9070.tar.xz
  artifacts:
    paths:
    - public
  only:
  - master
